Deprecated Meldungen bei PHP 7.1

Hier kannst du dich vorstellen und Fragen zum Plugin stellen.
Installation, Administration, etc.

Moderatoren: ThoGoe, maennchen1.de

Antworten
Benutzeravatar
Frixi
Beiträge: 1065
Registriert: 29.10.2014, 16:25
Lizenz: keine

Deprecated Meldungen bei PHP 7.1

Beitrag von Frixi » 16.09.2018, 19:03

Hallo maennchen1-Team,

beim Test mit einem neuen Provider (All-Inkl) habe ich auf die aktuelle PHP-Version 7.1.19-nmm1 gewechselt (vorher 5.6.37) und erhalte beim aktivierten WP-Debug-Modus folgende Deprecated-Meldungen:

Code: Alles auswählen

Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; Crypt_RSA has a deprecated constructor in /www/htdocs/w01898d0/fritzbox-antennen.de/wp-content/plugins/wpshopgermany/lib/phpseclib0.3.0/Crypt/RSA.php on line 247

Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; Crypt_Hash has a deprecated constructor in /www/htdocs/w01898d0/fritzbox-antennen.de/wp-content/plugins/wpshopgermany/lib/phpseclib0.3.0/Crypt/Hash.php on line 83

Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; Math_BigInteger has a deprecated constructor in /www/htdocs/w01898d0/fritzbox-antennen.de/wp-content/plugins/wpshopgermany/lib/phpseclib0.3.0/Math/BigInteger.php on line 181

Warning: session_start(): Cannot send session cache limiter - headers already sent (output started at /www/htdocs/w01898d0/fritzbox-antennen.de/wp-content/plugins/wpshopgermany/lib/phpseclib0.3.0/Crypt/RSA.php:247) in /www/htdocs/w01898d0/fritzbox-antennen.de/wp-content/plugins/wpshopgermany/wpshopgermany.php on line 15

Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; wpsg_kundenverwaltung_widget has a deprecated constructor in /www/htdocs/w01898d0/fritzbox-antennen.de/wp-content/plugins/wpshopgermany/mods/mod_kundenverwaltung/wpsg_kundenverwaltung_widget.class.php on line 2

Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; wpsg_basket_widget has a deprecated constructor in /www/htdocs/w01898d0/fritzbox-antennen.de/wp-content/plugins/wpshopgermany/lib/wpsg_basket_widget.class.php on line 2
Warum ich das erwähne: ich kämpfe aktuell mit immer wiederkehrenden Slow-Downs der Seite und habe das immer wieder auf meinen jetzigen Provider geschoben, aber auch bei All-Inkl treten diese Slow-Downs auf und ich finde die Ursache nicht. Alle anderen Meldungen sind nach wie vor von eurem Newsletter-Modul, welches ich zur Fehlersuche deaktiviert habe.

Könnt ihr zu den o. g. Meldungen kurz Stellung beziehen?

Danke!
WP V.4.9.8 - WPSG V.3.12.8 - Shop: friXtender.de/shop

Benutzeravatar
maennchen1.de
Administrator
Beiträge: 16101
Registriert: 14.08.2003, 16:55
Lizenz: wpShopGermany Enterprise
Wohnort: Thüringen, Ellersleben
Kontaktdaten:

Re: Deprecated Meldungen bei PHP 7.1

Beitrag von maennchen1.de » 17.09.2018, 09:52

Hallo!
Ich empfehle dir die neue Version 4 von wpShopGermany zu nutzen. Da wurde das bereits behoben.
Kein Support per PN! Alle Fragen beantworten wir hier im Forum. Per PN bitte nur Passwörter, Namen und URLs - sofern notwendig.
Bitte vor dem posten lesen:
FAQ / häufig gestellte Fragen
wpShopGermany Fehler? Hilfeanleitung!
PHTML-Dateien richtig verwenden (für eigene Anpassungen)

Benutzeravatar
Frixi
Beiträge: 1065
Registriert: 29.10.2014, 16:25
Lizenz: keine

Re: Deprecated Meldungen bei PHP 7.1

Beitrag von Frixi » 17.09.2018, 11:42

Ok, gut zu hören. Danke für die Rückmeldung.
WP V.4.9.8 - WPSG V.3.12.8 - Shop: friXtender.de/shop

Antworten